Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class PKIXCertPathBuilderSpi

    java.lang.Object
      |
      +--org.bouncycastle.jce.cert.CertPathBuilderSpi
            |
            +--org.bouncycastle.jce.provider.PKIXCertPathBuilderSpi

public class PKIXCertPathBuilderSpi
extends CertPathBuilderSpi

Implements the PKIX CertPathBuilding algorithem for BouncyCastle.
MAYBE: implement more CertPath validation whil build path to omit invalid pathes

See Also:
  `CertPathBuilderSpi`

Constructor Summary
`PKIXCertPathBuilderSpi()`

Method Summary
`CertPathBuilderResult` | `engineBuild(CertPathParameters params)` Build and validate a CertPath using the given parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIXCertPathBuilderSpi

    public PKIXCertPathBuilderSpi()

Method Detail

### engineBuild

    public CertPathBuilderResult engineBuild(CertPathParameters params)
                                      throws CertPathBuilderException,
                                             java.security.InvalidAlgorithmParameterException

  Build and validate a CertPath using the given parameter.

  Specified by:
    `engineBuild` in class `CertPathBuilderSpi`
  Parameters:
    `params` - PKIXBuilderParameters object containing all information to build the CertPath
  Returns:
    the result of the build algorithm
  Throws:
    `CertPathBuilderException` - if the builder is unable to construct a certification path that satisfies the specified
    `java.security.InvalidAlgorithmParameterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD